Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinUser.WINDOWINFO

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.WINDOWINFO

Enclosing interface:
  WinUser

    public static class WinUser.WINDOWINFO

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`short` | `atomWindowType`
`int` | `cbSize`
`int` | `cxWindowBorders`
`int` | `cyWindowBorders`
`int` | `dwExStyle`
`int` | `dwStyle`
`int` | `dwWindowStatus`
`WinDef.RECT` | `rcClient`
`WinDef.RECT` | `rcWindow`
`short` | `wCreatorVersion`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.WINDOWINFO()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbSize

    public int cbSize

### rcWindow

    public WinDef.RECT rcWindow

### rcClient

    public WinDef.RECT rcClient

### dwStyle

    public int dwStyle

### dwExStyle

    public int dwExStyle

### dwWindowStatus

    public int dwWindowStatus

### cxWindowBorders

    public int cxWindowBorders

### cyWindowBorders

    public int cyWindowBorders

### atomWindowType

    public short atomWindowType

### wCreatorVersion

    public short wCreatorVersion

Constructor Detail

### WinUser.WINDOWINFO

    public WinUser.WINDOWINFO()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD